Home Home > 2009 > 04 > 01 > New YaST-Web released 1.0.1
Sign up | Login

New YaST-Web released 1.0.1

April 1st, 2009 by

We have released a new version of Web-YaST with following changes:

  • Added translation support on the client side.
  • Added ruby-gettext
  • Split off ruby-rpam and ruby-polkit in single packages.
  • Switch off IPv6 in lighttpd cause it has produced some undefined errors. (esp. on 64bit)
  • Added package dependencies concerning rails. The last few weeks have shown that RAILS versions are not really compatible. So many problems have been happened due different RAILS versions on the systems where YaST-Web has been installed. Please use RAILS 2.1
  • Cleanup code.

The newest packages can be found here:
https://build.opensuse.org/project/show?project=home:schubi2

Or

https://build.opensuse.org/project/show?project=YaST:Web

It would be nice to get some feedback. Bugzilla would be a nice option  :-)

Thank you !

Both comments and pings are currently closed.

4 Responses to “New YaST-Web released 1.0.1”

  1. Michal Smrž

    Not working for me (as usual :-( )

    First I cannot access webinterface. After configuring /srv/www/yast/config/lightppd.conf (change adress from “0.0.0.0″ to localhost, disabling ipv6, changing port) it starts. But. I cannot login at all. Maybe it has connection to error in terminal: /usr/sbin/yastwc: Symbol `FamErrlist' has different size in shared object, consider re-linking

  2. Stefan Schubert

    While the login process there could happens and general error 500.
    The reasons for that could be an undefined behavior of the function “getpwnam”:
    Bug 491792 – webyast does not work
    We are trying to find the reasons for.
    Meanwhile use a another user. The length of the username should be greater than
    2 characters. In order to grant permissions for the new user please use
    /etc/yastws/tools/policyKit-rights.rb

    • Stefan Schubert

      I have released a new version 1.0.1-2 of yast2-webclient and yast2-werbservice which fix these problems.